CREATE TABLE jg_fscl_atrb_int_errors (
    ERROR_ID                    NUMBER(18, 0) ,
    INTERFACE_HDR_ID            NUMBER(18, 0) ,
    INTERFACE_LINE_ID           NUMBER(18, 0) ,
    INTERFACE_LINE_DETAIL_ID    NUMBER(18, 0) ,
    INTERFACE_HDR_DETAIL_ID     NUMBER(18, 0) ,
    MESSAGE_TEXT                VARCHAR2(4000)    NOT NULL,
    MESSAGE_CAUSE               VARCHAR2(4000),
    MESSAGE_USER_ACTION         VARCHAR2(4000),
    MESSAGE_NAME                VARCHAR2(120) ,
    TOKEN1_NAME                 VARCHAR2(240) ,
    TOKEN1_VALUE                VARCHAR2(960) ,
    TOKEN2_NAME                 VARCHAR2(240) ,
    TOKEN2_VALUE                VARCHAR2(960) ,
    TOKEN3_NAME                 VARCHAR2(240) ,
    TOKEN3_VALUE                VARCHAR2(960) ,
    TOKEN4_NAME                 VARCHAR2(240) ,
    TOKEN4_VALUE                VARCHAR2(960) ,
    TOKEN5_NAME                 VARCHAR2(240) ,
    TOKEN5_VALUE                VARCHAR2(960) ,
    TOKEN6_NAME                 VARCHAR2(240) ,
    TOKEN6_VALUE                VARCHAR2(960) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    LOAD_REQUEST_ID             NUMBER(18, 0) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    ERROR_ID                    NUMBER(18, 0) ,
    INTERFACE_HDR_ID            NUMBER(18, 0) ,
    INTERFACE_LINE_ID           NUMBER(18, 0) ,
    INTERFACE_LINE_DETAIL_ID    NUMBER(18, 0) ,
    INTERFACE_HDR_DETAIL_ID     NUMBER(18, 0) ,
    MESSAGE_TEXT                VARCHAR2(4000)    NOT NULL,
    MESSAGE_CAUSE               VARCHAR2(4000),
    MESSAGE_USER_ACTION         VARCHAR2(4000),
    MESSAGE_NAME                VARCHAR2(120) ,
    TOKEN1_NAME                 VARCHAR2(240) ,
    TOKEN1_VALUE                VARCHAR2(960) ,
    TOKEN2_NAME                 VARCHAR2(240) ,
    TOKEN2_VALUE                VARCHAR2(960) ,
    TOKEN3_NAME                 VARCHAR2(240) ,
    TOKEN3_VALUE                VARCHAR2(960) ,
    TOKEN4_NAME                 VARCHAR2(240) ,
    TOKEN4_VALUE                VARCHAR2(960) ,
    TOKEN5_NAME                 VARCHAR2(240) ,
    TOKEN5_VALUE                VARCHAR2(960) ,
    TOKEN6_NAME                 VARCHAR2(240) ,
    TOKEN6_VALUE                VARCHAR2(960) ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    LOAD_REQUEST_ID             NUMBER(18, 0) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    CONSTRAINT pk_jg_fscl_atrb_int_errors PRIMARY KEY (ERROR_ID, ERROR_ID)
);
